org.eclipse.actf.util.win32

## Class COMUtil

- java.lang.Object
- - org.eclipse.actf.util.win32.COMUtil

    public class COMUtil
    extends Object

COM related utilities. Calling vtable method, creating GUID, and creating dispatch object from GUID.

### Constructor Summary

Constructors
Constructor and Description
`COMUtil()`

### Method Summary

Methods
`static int` `createDispatch(org.eclipse.swt.internal.ole.win32.GUID rclsid)` Create dispatch object from GUID
`static org.eclipse.swt.internal.ole.win32.GUID` `IIDFromString(String lpsz)` Create GUID from target String
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0)` Calling vtable method
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1)`
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1, int arg2)`
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1, int arg2, int arg3)`
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1, int arg2, int arg3, int arg4)`
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)`
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6)`
`static int` `VtblCall(int fnNumber, int ppVtbl, int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### COMUtil

    public COMUtil()

### Method Detail

#### createDispatch

    public static int createDispatch(org.eclipse.swt.internal.ole.win32.GUID rclsid)

Create dispatch object from GUID

Parameters:
  `rclsid` - GUID
Returns:
  dispatch object

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0)

Calling vtable method

Parameters:
  `fnNumber` - vtable index
  `ppVtbl` - vtable pointer
  `arg0` - argument 0
Returns:
  hresult

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
Returns:

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1,
               int arg2)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
  `arg2` - argument 2
Returns:

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1,
               int arg2,
               int arg3)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
  `arg2` - argument 2
  `arg3` - argument 3
Returns:

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1,
               int arg2,
               int arg3,
               int arg4)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
  `arg2` - argument 2
  `arg3` - argument 3
  `arg4` - argument 4
Returns:

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1,
               int arg2,
               int arg3,
               int arg4,
               int arg5)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
  `arg2` - argument 2
  `arg3` - argument 3
  `arg4` - argument 4
  `arg5` - argument 5
Returns:

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1,
               int arg2,
               int arg3,
               int arg4,
               int arg5,
               int arg6)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
  `arg2` - argument 2
  `arg3` - argument 3
  `arg4` - argument 4
  `arg5` - argument 5
  `arg6` - argument 6
Returns:

#### VtblCall

    public static final int VtblCall(int fnNumber,
               int ppVtbl,
               int arg0,
               int arg1,
               int arg2,
               int arg3,
               int arg4,
               int arg5,
               int arg6,
               int arg7)

Parameters:
  `fnNumber` -
  `ppVtbl` -
  `arg0` - argument 0
  `arg1` - argument 1
  `arg2` - argument 2
  `arg3` - argument 3
  `arg4` - argument 4
  `arg5` - argument 5
  `arg6` - argument 6
  `arg7` - argument 7
Returns:

#### IIDFromString

    public static org.eclipse.swt.internal.ole.win32.GUID IIDFromString(String lpsz)

Create GUID from target String

Parameters:
  `lpsz` - target
Returns:
  GUID